#pragma once
#include "OkReadBadge.h"

namespace OkReadBadge
{
	public ref class Badging
	{

	public:
		OkReadBadge::BadgeMessageHandler^ clr;
		OkReadBadge::BadgeUnmanaged *clrb;
		Badging(OkReadBadge::BadgeMessageHandler::delMessage^ f)
		{
			clr = gcnew OkReadBadge::BadgeMessageHandler();
			clr->OnMessage = f;
			clrb = new OkReadBadge::BadgeUnmanaged(clr);
		}

		void Start()
		{
			clrb->read();
		}
	};

}